> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate Social Profile

> This endpoint will translate any Social Profile in any language. Mainly this will translate the description or the bio.

<Check>Supported Platforms:  <Icon icon="youtube" size={20} />  <Icon icon="tiktok" size={20} />  <Icon icon="instagram" size={20} />  <Icon icon="facebook" size={20} />  <Icon icon="x-twitter" size={20} />  <Icon icon="telegram" size={20} /></Check>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200
    },
    "profile": {
      "masterID": "1755342646941x368844250826122940",
      "userID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
      "username": "@MrBeast",
      "platform": "youtube",
      "groupID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
      "url": "https://www.youtube.com/@MrBeast",
      "name": "MrBeast",
      "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1757548278",
      "description": "クッキーのために登録してください！\n毎週土曜日正午（東部時間）に新しいMrBeastまたはMrBeast Gamingのビデオがあります！\n実績：\n- 2,000万ドルを集めて2,000万本の木を植えました\n- 海から3,000万ポンドのゴミを取り除きました\n- 2,000人が再び歩けるように支援しました\n- 1,000人の盲目の人々が見えるように支援しました\n- 1,000人の聴覚障害者が聞こえるように支援しました\n- アフリカに井戸を建設しました\n- 100軒の家を建てて配りました\n- シェルターのすべての犬を（2回）養子にしました\n- 数百万ドルを慈善に寄付しました\n- 自分のスナック会社Feastablesを始めました\n- 自分のソフトウェア会社Viewstatsを始めました\n- 美味しくて健康的なお昼の選択肢Lunchlyを始めました\n- プライベートアイランドを（2回）プレゼントしました\n- 100万食を配りました\n- 10万まで数えました\n- 世界最大の靴でマラソンを走りました\n- 南極で50時間生き延びました\n- リアルでイカゲームを再現しました\n- 1,000人の参加者による最大の競技ショー（Beast Games）を作りました\n- 一人に5,000,000ドルを渡しました\n- T-Seriesを抜いて最も登録者数の多いYouTubeチャンネルになりました🥹\n皆さん、本当に感謝しています :)",
      "country": "united-states",
      "countryCode": "US",
      "city": "",
      "type": "business",
      "gender": "",
      "age": "",
      "communityStatus": "DONE",
      "isBlocked": false,
      "isClosed": false,
      "verified": true
    },
    "stats": {
      "followersCount": 433000000,
      "avgLikes": 3180786,
      "avgComments": 0,
      "avgER": 0.029884324619906,
      "avgInteractions": 3180786,
      "avgViews": 117104909,
      "ratingIndex": 433000000.835897,
      "qualityScore": 0.729712045586968
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/adv-profile-translator
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/adv-profile-translator:
    get:
      tags:
        - Workflow
      description: Triggers the workflow adv-profile-translator
      operationId: get_wf_adv-profile-translator
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            Q**masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL**
          schema:
            type: string
        - name: language
          in: query
          required: true
          description: >-
            Select any language want to translate to. Example: `english` |
            `mandarin-chinese` | `hindi` | `spanish` | `french` | `arabic` |
            `bengali` | `portuguese` | `russian` | `urdu` | `indonesian` |
            `german` | `japanese` | `turkish` | `tamil` | `italian`
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````